Debian Bug report logs - #449227
xterm: crashes when selecting text using on2Clicks resource with regex

version graph

Package: xterm; Maintainer for xterm is Debian X Strike Force <debian-x@lists.debian.org>; Source for xterm is src:xterm.

Reported by: "Heikki Hokkanen" <hoxu@users.sf.net>

Date: Sun, 4 Nov 2007 09:57:01 UTC

Severity: important

Tags: fixed-upstream

Found in version xterm/229-1

Fixed in version xterm/230-1

Done: Julien Cristau <jcristau@debian.org>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, Debian X Strike Force <debian-x@lists.debian.org>:
Bug#449227; Package xterm. Full text and rfc822 format available.

Acknowledgement sent to "Heikki Hokkanen" <hoxu@users.sf.net>:
New Bug report received and forwarded. Copy sent to Debian X Strike Force <debian-x@lists.debian.org>. Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: "Heikki Hokkanen" <hoxu@users.sf.net>
To: submit@bugs.debian.org
Subject: xterm: crashes when selecting text using on2Clicks resource with regex
Date: Sun, 4 Nov 2007 11:53:46 +0200
Package: xterm
Version: 229-1
Severity: important

When using this resource:

XTerm*on2Clicks: regex [^ ]*

xterm seems to crash when doubleclicking on some lines (not all). I don't know
if there is anything wrong with this resource, but xterm probably shouldn't
crash regardless.

gdb xterm says:
Program received signal SIGABRT, Aborted.
[Switching to Thread 0xb7b488c0 (LWP 27755)]
0xb7c547d6 in raise () from /lib/libc.so.6
(gdb) bt
#0  0xb7c547d6 in raise () from /lib/libc.so.6
#1  0xb7c560f1 in abort () from /lib/libc.so.6
#2  0xb7c8befb in ?? () from /lib/libc.so.6
#3  0x00000008 in ?? ()

etc. Let me know if more information is needed.

-- System Information:
Debian Release: lenny/sid
  APT prefers unstable
  APT policy: (500, 'unstable')
Architecture: i386 (i686)

Kernel: Linux 2.6.23.1+20071013
Locale: LANG=C, LC_CTYPE=C (charmap=ANSI_X3.4-1968)
Shell: /bin/sh linked to /bin/bash

Versions of packages xterm depends on:
ii  libc6                     2.6.1-6        GNU C Library: Shared libraries
ii  libfontconfig1            2.4.2-1.2      generic font configuration library
ii  libice6                   2:1.0.3-3      X11 Inter-Client Exchange library
ii  libncurses5               5.6+20071013-1 Shared libraries for terminal hand
ii  libsm6                    2:1.0.3-1      X11 Session Management library
ii  libx11-6                  2:1.0.3-4      X11 client-side library
ii  libxaw7                   1:1.0.2-4      X11 Athena Widget library
ii  libxext6                  1:1.0.1-2      X11 miscellaneous extension librar
ii  libxft2                   2.1.8.2-8      FreeType-based font drawing librar
ii  libxmu6                   1:1.0.2-2      X11 miscellaneous utility library
ii  libxt6                    1:1.0.2-2      X11 toolkit intrinsics library
ii  xbitmaps                  1.0.1-2        Base X bitmaps

Versions of packages xterm recommends:
ii  xutils                      1:7.1.ds.3-1 X Window System utility programs

-- no debconf information




Information forwarded to debian-bugs-dist@lists.debian.org, Debian X Strike Force <debian-x@lists.debian.org>:
Bug#449227; Package xterm. Full text and rfc822 format available.

Acknowledgement sent to Thomas Dickey <dickey@radix.net>:
Extra info received and forwarded to list. Copy sent to Debian X Strike Force <debian-x@lists.debian.org>. Full text and rfc822 format available.

Message #10 received at 449227@bugs.debian.org (full text, mbox):

From: Thomas Dickey <dickey@radix.net>
To: Heikki Hokkanen <hoxu@users.sourceforge.net>, 449227@bugs.debian.org
Subject: Re: Bug#449227: xterm: crashes when selecting text using on2Clicks resource with regex
Date: Mon, 5 Nov 2007 20:24:36 -0500
[Message part 1 (text/plain, inline)]
On Sun, Nov 04, 2007 at 11:00:18AM +0100, Heikki Hokkanen wrote:
> Package: xterm
> Version: 229-1
> Severity: important
> 
> When using this resource:
> 
> XTerm*on2Clicks: regex [^ ]*
> 
> xterm seems to crash when doubleclicking on some lines (not all). I don't know
> if there is anything wrong with this resource, but xterm probably shouldn't
> crash regardless.

> etc. Let me know if more information is needed.

I'm not sure where to look.  I added that setting to my app-defaults,
and tried double-clicking around - no crash, and valgrind's not showing
me anything hidden.  Perhaps it's some boundary case (such as line-wrapping
or scrollback) that isn't obvious.

-- 
Thomas E. Dickey
http://invisible-island.net
ftp://invisible-island.net
[Message part 2 (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, Debian X Strike Force <debian-x@lists.debian.org>:
Bug#449227; Package xterm. Full text and rfc822 format available.

Acknowledgement sent to "Heikki Hokkanen" <hokkanen@gmail.com>:
Extra info received and forwarded to list. Copy sent to Debian X Strike Force <debian-x@lists.debian.org>. Full text and rfc822 format available.

Message #15 received at 449227@bugs.debian.org (full text, mbox):

From: "Heikki Hokkanen" <hokkanen@gmail.com>
To: "Thomas Dickey" <dickey@radix.net>
Cc: 449227@bugs.debian.org
Subject: Re: Bug#449227: xterm: crashes when selecting text using on2Clicks resource with regex
Date: Tue, 6 Nov 2007 19:36:51 +0200
On Nov 6, 2007 3:24 AM, Thomas Dickey <dickey@radix.net> wrote:
> On Sun, Nov 04, 2007 at 11:00:18AM +0100, Heikki Hokkanen wrote:
> > xterm seems to crash when doubleclicking on some lines (not all).
>
> I'm not sure where to look.  I added that setting to my app-defaults,
> and tried double-clicking around - no crash, and valgrind's not showing
> me anything hidden.  Perhaps it's some boundary case (such as line-wrapping
> or scrollback) that isn't obvious.

It may be related to locale/umlauts somehow, but I'll leave the closer
analysis to someone more knowledgeable. These crashes are triggered
with the default locale (POSIX).

I did plenty of testing with an IRC line that I noticed triggers the
crash. Basically I shortened/modified it until selecting it stopped
crashing xterm and then went back and figured a way to change it that
would still end up in a crash. Here are some example lines that
trigger the crash for me:

21:23:09 < _____> ____ä _______ä ___ ________ ____ä ___ä
21:23:09  > ____ä _______ä ___ ________ ____ä ___ä
  > ____ä _______ä ___ ________ ____ä ___ä
   ____ä _______ä ___ ________ ____ä ___ä
_ä ___ ________ ____ä ___ä
____ä ___ä
____ö ___ö

so looks like the line requires an "ouml" or "auml" to trigger the
crash. Line length has possibly also got something to do with it. I
don't know whether a space is needed though.

Some example outputs on crash:

Segmentation fault
*** glibc detected *** xterm: free(): invalid next size (fast): 0x080d6710 ***
*** glibc detected *** xterm: malloc(): memory corruption: 0x080d02d0 ***
*** glibc detected *** xterm: free(): invalid next size (normal): 0x080d8338 ***

Regards,

-- 
Heikki Hokkanen

Information forwarded to debian-bugs-dist@lists.debian.org, Debian X Strike Force <debian-x@lists.debian.org>:
Bug#449227; Package xterm. Full text and rfc822 format available.

Acknowledgement sent to dickey@his.com:
Extra info received and forwarded to list. Copy sent to Debian X Strike Force <debian-x@lists.debian.org>. Full text and rfc822 format available.

Message #20 received at 449227@bugs.debian.org (full text, mbox):

From: Thomas Dickey <dickey@his.com>
To: Heikki Hokkanen <hokkanen@gmail.com>
Cc: 449227@bugs.debian.org
Subject: Re: Bug#449227: xterm: crashes when selecting text using on2Clicks resource with regex
Date: Fri, 09 Nov 2007 20:05:59 -0500
[Message part 1 (text/plain, inline)]
On Tue, Nov 06, 2007 at 07:36:51PM +0200, Heikki Hokkanen wrote:
> so looks like the line requires an "ouml" or "auml" to trigger the
> crash. Line length has possibly also got something to do with it. I
> don't know whether a space is needed though.

I was able to reproduce it - not sure _what_ I clicked on, but there's
something to investigate (thanks).

-- 
Thomas E. Dickey <dickey@invisible-island.net>
http://invisible-island.net
ftp://invisible-island.net
[signature.asc (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, Debian X Strike Force <debian-x@lists.debian.org>:
Bug#449227; Package xterm. Full text and rfc822 format available.

Acknowledgement sent to dickey@his.com:
Extra info received and forwarded to list. Copy sent to Debian X Strike Force <debian-x@lists.debian.org>. Full text and rfc822 format available.

Message #25 received at 449227@bugs.debian.org (full text, mbox):

From: Thomas Dickey <dickey@his.com>
To: Heikki Hokkanen <hokkanen@gmail.com>
Cc: 449227@bugs.debian.org
Subject: Re: Bug#449227: xterm: crashes when selecting text using on2Clicks resource with regex
Date: Fri, 09 Nov 2007 20:48:27 -0500
[Message part 1 (text/plain, inline)]
The fix in

ftp://invisible-island.net/temp/xterm-229a.patch.gz

will be in #230...

-- 
Thomas E. Dickey <dickey@invisible-island.net>
http://invisible-island.net
ftp://invisible-island.net
[signature.asc (application/pgp-signature, inline)]

Tags added: fixed-upstream Request was from Thomas Dickey <dickey@his.com> to control@bugs.debian.org. (Tue, 01 Jan 2008 18:03:11 GMT) Full text and rfc822 format available.

Reply sent to Julien Cristau <jcristau@debian.org>:
You have taken responsibility. Full text and rfc822 format available.

Notification sent to "Heikki Hokkanen" <hoxu@users.sf.net>:
Bug acknowledged by developer. Full text and rfc822 format available.

Message #32 received at 449227-close@bugs.debian.org (full text, mbox):

From: Julien Cristau <jcristau@debian.org>
To: 449227-close@bugs.debian.org
Subject: Bug#449227: fixed in xterm 230-1
Date: Thu, 03 Jan 2008 13:32:10 +0000
Source: xterm
Source-Version: 230-1

We believe that the bug you reported is fixed in the latest version of
xterm, which is due to be installed in the Debian FTP archive:

xterm_230-1.diff.gz
  to pool/main/x/xterm/xterm_230-1.diff.gz
xterm_230-1.dsc
  to pool/main/x/xterm/xterm_230-1.dsc
xterm_230-1_i386.deb
  to pool/main/x/xterm/xterm_230-1_i386.deb
xterm_230.orig.tar.gz
  to pool/main/x/xterm/xterm_230.orig.tar.gz



A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 449227@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Julien Cristau <jcristau@debian.org> (supplier of updated xterm package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

Format: 1.7
Date: Thu, 03 Jan 2008 12:07:38 +0100
Source: xterm
Binary: xterm
Architecture: source i386
Version: 230-1
Distribution: unstable
Urgency: low
Maintainer: Debian X Strike Force <debian-x@lists.debian.org>
Changed-By: Julien Cristau <jcristau@debian.org>
Description: 
 xterm      - X terminal emulator
Closes: 441354 449227 456236 457634
Changes: 
 xterm (230-1) unstable; urgency=low
 .
   * New upstream release.
     + do not treat Unicode BIDI control characters as combining characters
       (closes: #457634)
     + correct width-calculation used for adjusting proportional fonts, to work
       with wide-characters (closes: #441354)
     + make missing double-width glyphs display as double-width
       (closes: #456236)
     + fix an ifdef in logic for selecting regular expressions while in a
       narrow-character locale (closes: #449227)
   * koi8rxterm, its manpage and app-defaults file, and the uxterm manpage are
     now upstream, so remove our versions.
   * Bump Standards-Version to 3.7.3 (no changes).
   * Update copy of XTerm FAQ to revision 1.99 (dated 2007-11-29).
Files: 
 82d55dd59fd4392f9fd726fec94ec361 805 x11 optional xterm_230-1.dsc
 c1a654a6793aff285b69c1d1ed4f2c38 850697 x11 optional xterm_230.orig.tar.gz
 06e5f4e6398afa5b418a4c8dab85a072 61537 x11 optional xterm_230-1.diff.gz
 052b08e9828afec30c91856db7d3a33f 462132 x11 optional xterm_230-1_i386.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.6 (GNU/Linux)

iD8DBQFHfOA1mEvTgKxfcAwRAgYpAKCPINcLlLHUGqKNYrmXDGHDssm09wCcDw96
evTwPAu41iOpI31AGKu0dgk=
=jCKb
-----END PGP SIGNATURE-----





Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Mon, 04 Feb 2008 07:27:41 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Sun Apr 20 05:51:52 2014; Machine Name: buxtehude.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.